## zathura-extras 0.1

=== Makefile ===
# See LICENSE file for license and copyright information

include config.mk
include common.mk

PROJECT  = zathura-djvu
PLUGIN   = djvu
SOURCE   = $(shell find . -iname "*.c")
HEADER   = $(shell find . -iname "*.h")
OBJECTS  = ${SOURCE:.c=.o}
DOBJECTS = ${SOURCE:.c=.do}

ifneq "$(WITH_CAIRO)" "0"
CPPFLAGS += -DHAVE_CAIRO
INCS += $(CAIRO_INC)
LIBS += $(CAIRO_LIB)
endif

all: options ${PLUGIN}.so

zathura-version-check:
ifneq ($(ZATHURA_VERSION_CHECK), 0)
	$(error "The minimum required version of zathura is ${ZATHURA_MIN_VERSION}")
endif
	$(QUIET)touch zathura-version-check

options:
	$(ECHO) ${PLUGIN} build options:
	$(ECHO) "CFLAGS  = ${CFLAGS}"
	$(ECHO) "LDFLAGS = ${LDFLAGS}"
	$(ECHO) "DFLAGS  = ${DFLAGS}"
	$(ECHO) "CC      = ${CC}"

%.o: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

%.do: %.c
	$(ECHO) CC $<
	@mkdir -p .depend
	$(QUIET)${CC} -c ${CPPFLAGS} ${CFLAGS} ${DFLAGS} -o $@ $< -MMD -MF .depend/$@.dep

${OBJECTS}:  config.mk zathura-version-check
${DOBJECTS}: config.mk zathura-version-check

${PLUGIN}.so: ${OBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -shared ${LDFLAGS} -o $@ $(OBJECTS) ${LIBS}

${PLUGIN}-debug.so: ${DOBJECTS}
	$(ECHO) LD $@
	$(QUIET)${CC} -shared ${LDFLAGS} -o $@ $(DOBJECTS) ${LIBS}

clean:
	$(QUIET)rm -rf ${OBJECTS} ${DOBJECTS} $(PLUGIN).so $(PLUGIN)-debug.so \
		doc .depend ${PROJECT}-${VERSION}.tar.gz zathura-version-check

debug: options ${PLUGIN}-debug.so

dist: clean
	$(QUIET)mkdir -p ${PROJECT}-${VERSION}
	$(QUIET)cp -R LICENSE Makefile config.mk common.mk Doxyfile \
		${HEADER} ${SOURCE} AUTHORS ${PROJECT}-${VERSION}
	$(QUIET)tar -cf ${PROJECT}-${VERSION}.tar ${PROJECT}-${VERSION}
	$(QUIET)gzip ${PROJECT}-${VERSION}.tar
	$(QUIET)rm -rf ${PROJECT}-${VERSION}

doc: clean
	$(QUIET)doxygen Doxyfile

install: all
	$(ECHO) installing ${PLUGIN} plugin
	$(QUIET)mkdir -p ${DESTDIR}${PLUGINDIR}
	$(QUIET)cp -f ${PLUGIN}.so ${DESTDIR}${PLUGINDIR}

uninstall:
	$(ECHO) uninstalling ${PLUGIN} plugin
	$(QUIET)rm -f ${DESTDIR}${PLUGINDIR}/${PLUGIN}.so
	$(QUIET)rmdir ${DESTDIR}${PLUGINDIR} 2> /dev/null || /bin/true

-include $(wildcard .depend/*.dep)

.PHONY: all options clean debug doc dist install uninstall

=== debian/changelog ===
zathura-extras (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #663648)

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 29 Mar 2012 22:41:12 +0200

=== debian/control ===
Source: zathura-extras
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
Uploaders: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 debhelper (>= 9),
 dpkg-dev (>= 1.16.1~),
 pkg-config,
 zathura-dev (>= 0.1.2),
 libgirara-dev,
 libglib2.0-dev,
 libcairo2-dev,
 libspectre-dev,
 libdjvulibre-dev
Standards-Version: 3.9.3
Homepage: http://pwmt.org/projects/zathura

Package: zathura-djvu
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 djvu-viewer
Enhances:
 zathura
Description: DjVu support for zathura
 zathura is a document viewer, which can be exteneded to support additional
 file formats via a plugin system. This package contains zathura's DjVu plugin.
 .
 At the moment the plugin does not offer the full functionality. One is only
 able to search for text, to copy text and to save the document.

Package: zathura-ps
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 postscript-viewer
Enhances:
 zathura
Description: PostScript support for zathura
 zathura is a document viewer, which can be exteneded to support additional
 file formats via a plugin system. This package contains zathura's PostScript
 plugin.
 .
 At the moment the plugin does not offer the full functionality. One is only
 able to extract document information and to save the document.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1

PSVER=0.1.0
PSVERC=$(subst .,-,$(PSVER))
DJVUVER=0.1.1
DJVUVERC=$(subst .,-,$(DJVUVER))

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p')
get-orig-source:
	TMPD=`mktemp -d` && \
	uscan --no-conf \
		--force-download \
		--no-symlink \
		--watchfile $(DEB_DEBDIR)/zathura-ps.watch \
		--package zathura-ps \
		--upstream-version $(PSVER) \
		--destdir=$$TMPD && \
	mv $$TMPD/zathura-ps-$(PSVER).tar.gz \
		zathura-extras_$(DEB_UPSTREAM_VER).orig-ps-$(PSVERC).tar.gz && \
	uscan --no-conf \
		--force-download \
		--no-symlink \
		--watchfile $(DEB_DEBDIR)/zathura-djvu.watch \
		--package zathura-djvu \
		--upstream-version $(DJVUVER) \
		--destdir=$$TMPD && \
	mv $$TMPD/zathura-djvu-$(DJVUVER).tar.gz \
		zathura-extras_$(DEB_UPSTREAM_VER).orig-djvu-$(DJVUVERC).tar.gz && \
	rmdir $$TMPD

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -C ps-$(PSVERC) clean
	$(MAKE) -C djvu-$(DJVUVERC) clean

override_dh_auto_build:
	$(MAKE) -C ps-$(PSVERC)
	$(MAKE) -C djvu-$(DJVUVERC)

override_dh_auto_install:
	$(MAKE) -C ps-$(PSVERC) install \
		DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C djvu-$(DJVUVERC) install \
		DESTDIR=$(CURDIR)/debian/tmp

override_dh_gencontrol:
	/usr/share/zathura/dh_zathura
	dh_gencontrol

## zathura-extras 0.2

=== debian/changelog ===
zathura-extras (0.2-6) unstable; urgency=medium

  * New upstream release.
    - zathura-cb 0.1.3.
    - zathura-djvu 0.2.4.
  * debian/control: Bump Standards-Version to 3.9.6.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Oct 2014 12:30:49 +0200

zathura-extras (0.2-5) unstable; urgency=low

  * New upstream release.
    - zathura-cb 0.1.2.
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - Bump zathura-dev B-D to >= 0.2.5-1~ to ensure that zathura-extras is
      built against the GTK+ 3 version of zathura.
    - Remove unnecessary dpkg-dev B-D.
  * debian/patches/handle-read_data_block-zero-size.patch: removed, no longer
    needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 21:11:04 +0100

zathura-extras (0.2-4) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 15 Jun 2013 13:07:23 +0200

zathura-extras (0.2-3) experimental; urgency=low

  * New upstream release.
    - zathura-djvu 0.2.3.
    - zathura-ps 0.2.2.
  * Add zathura-cb 0.1.1:
    - debian/control:
      + Add new zathura-cb package.
      + Add Build-Depends on libarchive-dev.
    - debian/rules: Build zathura-cb.
    - debian/copyright: Add copyright information for zathura-cb.
    - debian/patches/handle-read_data_block-zero-size.patch: Correctly handle
      archive_read_data_block returning a size of zero.
  * debian/zathura-{cb,djvu,ps}.install: Install desktop files.
  * debian/zathura-{cb,djvu,ps}.lintian-overrides: Override
    desktop-command-not-in-package. The plugins depend on zathura so the
    command is available.
  * debian/control: Remove Jakub Wilk from Uploaders. Thanks for your work on
    zathura, Jakub.
  * debian/rules: Replace similar copies of code by pattern matching rules.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 May 2013 20:45:52 +0200

zathura-extras (0.2-2) experimental; urgency=low

  * New upstream release.
    - zathura-djvu 0.2.2.
    - zathura-ps 0.2.1.
  * debian/control:
    - Update my mail address.
    - Remove DM-Upload-Allowed.
    - Fix errors in both zathura-djvu's and zathura-ps' Description.
    - Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Update my mail address.
    - Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 24 Jan 2013 13:47:00 +0100

zathura-extras (0.2-1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * New upstream release.
    - zathura-djvu 0.2.1.
    - zathura-ps 0.2.0.
  * d/rules: Set version of the binary packages according to the plugin's
    upstream version.
  * d/README.Debian: removed.
  * d/control:
    - Update zathura-djvu's description as it now also supports displaying the
      document index.
    - Add libpng15-dev (>= 1.5) to Build-Conflicts since it provides
      libpng12-dev but doesn't ship and breaks `pkg-config --cflags
      zathura`. As soon as #652001 is fixed or gdk-pixbuf-2.0.ps uses
      libpng15 (#642265) this change will be reverted.
  * d/patches: Removed, not needed anymore.

  [ Jakub Wilk ]
  * Add DM-Upload-Allowed.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 10 Sep 2012 23:42:40 +0200

=== debian/control ===
Source: zathura-extras
Section: text
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9),
 pkg-config,
 zathura-dev (>= 0.2.5-1~),
 libgirara-dev,
 libglib2.0-dev,
 libcairo2-dev,
 libspectre-dev,
 libdjvulibre-dev,
 libarchive-dev
Standards-Version: 3.9.6
Homepage: http://pwmt.org/projects/zathura

Package: zathura-djvu
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 djvu-viewer
Enhances:
 zathura
Description: DjVu support for zathura
 zathura is a document viewer which can be extended to support additional
 file formats via a plugin system. This package contains zathura's DjVu plugin.
 .
 At the moment the plugin does not offer the full functionality. One is only
 able to search for text, to copy text, to save the document and to display the
 document index.

Package: zathura-ps
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 postscript-viewer
Enhances:
 zathura
Description: PostScript support for zathura
 zathura is a document viewer which can be extended to support additional
 file formats via a plugin system. This package contains zathura's PostScript
 plugin.
 .
 At the moment the plugin does not offer the full functionality. One is only
 able to extract document information and to save the document.

Package: zathura-cb
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Enhances:
 zathura
Description: comic book archive support for zathura
 zathura is a document viewer which can be extended to support additional
 file formats via a plugin system. This package contains zathura's comic book
 archive plugin.
 .
 At the moment the plugin does not offer the full functionality. zathura-cb is
 only able to display documents.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# do not strip
export SFLAGS=
# build with verbose output
export VERBOSE=1

psVER=0.2.2
psVERC=$(subst .,-,$(psVER))
djvuVER=0.2.4
djvuVERC=$(subst .,-,$(djvuVER))
cbVER=0.1.3
cbVERC=$(subst .,-,$(cbVER))

%:
	dh $@ --parallel

clean-%:
	$(MAKE) -C $*-$($(*)VERC) clean

build-%:
	$(MAKE) -C $*-$($(*)VERC)

install-%:
	$(MAKE) -C $*-$($(*)VERC) install \
		DESTDIR=$(CURDIR)/debian/tmp

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_install
override_dh_auto_clean: clean-ps clean-djvu clean-cb
override_dh_auto_build: build-ps build-djvu build-cb
override_dh_auto_install: install-ps install-djvu install-cb

gencontrol-%:
	dh_gencontrol -pzathura-$(*) -u-v$($(*)VER)-$(DEBREV)

override_dh_gencontrol:
	/usr/share/zathura/dh_zathura
	DEBREV=`dpkg-parsechangelog \
		| sed -ne 's/^Version: .*-\([^-]*\)/\1/p'` \
		$(MAKE) -f debian/rules gencontrol-ps gencontrol-djvu gencontrol-cb

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p')
get-orig-source-%:
	TMPD=`mktemp -d` && \
	uscan --no-conf \
		--force-download \
		--no-symlink \
		--watchfile $(DEB_DEBDIR)/zathura-$*.watch \
		--package zathura-$* \
		--upstream-version $($(*)VER) \
		--destdir=$$TMPD && \
	mv $$TMPD/zathura-$*-$($(*)VER).tar.gz \
		zathura-extras_$(DEB_UPSTREAM_VER).orig-$*-$($(*)VERC).tar.gz && \
	rmdir $$TMPD

.PHONY: get-orig-source
get-orig-source: get-orig-source-ps get-orig-source-djvu get-orig-source-cb
